Subject: Re: bug#13154: 24.3.50; emacs_backtrace.txt (different one)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Dec 2012 18:54:51 +0200

> From: "Drew Adams" <[email-masked]>
> Date: Tue, 11 Dec 2012 21:04:29 -0800
> 
> 
> This backtrace is different from the others I reported today.
> Also, with this one I did not get a double fatal-error dialog box.

Yes, it's definitely different, see below.

> And I did get the Windows dialog box asking me if I wanted to report the problem
> to Microsoft.

I don't recommend that ;-)

> Backtrace:
> 0x01154B7D
> 0x01154BEF
> 0x010E4B0C
> 0x01015BC6
> 0x0101505F
> 0x010E19C3
> 0x01015BC6
> 0x0101505F
> 0x010E19C3
> 0x01015BC6
> 0x0101505F
> 0x01014401
> 0x01071391
> 0x010717DD
> 0x01014CAC
> 0x010E19C3
> 0x01015BC6
> 0x0101505F
> 0x010E19C3
> 0x01015BC6
> 0x010153A0
> 0x01013375
> 0x0100F0C2
> 0x0101030B
> 0x01012ADC
> 0x0100F0C2
> 0x01015A91
> 0x01015131
> 0x010E19C3
> 0x01015BC6
> 0x0101505F
> 0x010143CD
> 0x011C6214
> 0x011C6730
> 0x011CFE3A
> 0x0101678A
> 0x010E24C8
> 0x01015BC6
> 0x0101505F
> 0x010E19C3
> 0x01015BC6
> 0x0101505F
> 0x01013E8B
> 0x010142C2
> 0x01013ED0
> 0x011C7556
> 0x010E26E1
> 0x01015BC6
> 0x0101505F
> 0x010E19C3
> 0x01015BC6
> 0x0101505F
> 0x010E19C3
> 0x01015BC6
> 0x0101505F
> 0x01012D6D
> 0x01010BB9
> 0x010E2600
> 0x01015BC6
> 0x0101505F
> 0x01014378
> 0x010E5725
> ...

Translation:

  ??
  ??:0
  w32_backtrace at C:\emacs\trunk\src/w32fns.c:7722
  emacs_abort at C:\emacs\trunk\src/w32fns.c:7754
  exec_byte_code at C:\emacs\trunk\src/bytecode.c:1955
  funcall_lambda at C:\emacs\trunk\src/eval.c:2903
  Ffuncall at C:\emacs\trunk\src/eval.c:2720
  exec_byte_code at C:\emacs\trunk\src/bytecode.c:897
  funcall_lambda at C:\emacs\trunk\src/eval.c:2903
  Ffuncall at C:\emacs\trunk\src/eval.c:2720
  exec_byte_code at C:\emacs\trunk\src/bytecode.c:897
  funcall_lambda at C:\emacs\trunk\src/eval.c:2903
  Ffuncall at C:\emacs\trunk\src/eval.c:2720
  call1 at C:\emacs\trunk\src/eval.c:2465
  mapcar1 at C:\emacs\trunk\src/fns.c:2311
  Fmapcar at C:\emacs\trunk\src/fns.c:2381
  Ffuncall at C:\emacs\trunk\src/eval.c:2674
  exec_byte_code at C:\emacs\trunk\src/bytecode.c:897
  funcall_lambda at C:\emacs\trunk\src/eval.c:2903
  Ffuncall at C:\emacs\trunk\src/eval.c:2720
  exec_byte_code at C:\emacs\trunk\src/bytecode.c:897
  funcall_lambda at C:\emacs\trunk\src/eval.c:2903
  apply_lambda at C:\emacs\trunk\src/eval.c:2780
  eval_sub at C:\emacs\trunk\src/eval.c:2081
  Fprogn at C:\emacs\trunk\src/eval.c:358
  Flet at C:\emacs\trunk\src/eval.c:817
  eval_sub at C:\emacs\trunk\src/eval.c:1984
  Fprogn at C:\emacs\trunk\src/eval.c:358
  funcall_lambda at C:\emacs\trunk\src/eval.c:2896
  Ffuncall at C:\emacs\trunk\src/eval.c:2732
  exec_byte_code at C:\emacs\trunk\src/bytecode.c:897
  funcall_lambda at C:\emacs\trunk\src/eval.c:2903
  Ffuncall at C:\emacs\trunk\src/eval.c:2720
  call0 at C:\emacs\trunk\src/eval.c:2450
  run_funs at C:\emacs\trunk\src/window.c:3044
  run_window_configuration_change_hook at C:\emacs\trunk\src/window.c:3105
  Fset_window_configuration at C:\emacs\trunk\src/window.c:5867
  unbind_to at C:\emacs\trunk\src/eval.c:3094
  exec_byte_code at C:\emacs\trunk\src/bytecode.c:1063
  funcall_lambda at C:\emacs\trunk\src/eval.c:2903
  Ffuncall at C:\emacs\trunk\src/eval.c:2720
  exec_byte_code at C:\emacs\trunk\src/bytecode.c:897
  funcall_lambda at C:\emacs\trunk\src/eval.c:2903
  Ffuncall at C:\emacs\trunk\src/eval.c:2720
  funcall_nil at C:\emacs\trunk\src/eval.c:2217
  run_hook_with_args at C:\emacs\trunk\src/eval.c:2402
  Frun_hooks at C:\emacs\trunk\src/eval.c:2244
  temp_output_buffer_show at C:\emacs\trunk\src/window.c:3374
  exec_byte_code at C:\emacs\trunk\src/bytecode.c:1111
  funcall_lambda at C:\emacs\trunk\src/eval.c:2903
  Ffuncall at C:\emacs\trunk\src/eval.c:2720
  exec_byte_code at C:\emacs\trunk\src/bytecode.c:897
  funcall_lambda at C:\emacs\trunk\src/eval.c:2903
  Ffuncall at C:\emacs\trunk\src/eval.c:2720
  exec_byte_code at C:\emacs\trunk\src/bytecode.c:897
  funcall_lambda at C:\emacs\trunk\src/eval.c:2903
  Ffuncall at C:\emacs\trunk\src/eval.c:2720
  eval_sub at C:\emacs\trunk\src/eval.c:2008
  internal_lisp_condition_case at C:\emacs\trunk\src/eval.c:1146
  exec_byte_code at C:\emacs\trunk\src/bytecode.c:1093
  funcall_lambda at C:\emacs\trunk\src/eval.c:2903
  Ffuncall at C:\emacs\trunk\src/eval.c:2720
  apply1 at C:\emacs\trunk\src/eval.c:2432
  Fcall_interactively at C:\emacs\trunk\src/callint.c:377
  ??
  ??:0

It crashes here:

    /* Binds and unbinds are supposed to be compiled balanced.  */
    if (SPECPDL_INDEX () != count)
  #ifdef BYTE_CODE_SAFE
      error ("binding stack not balanced (serious byte compiler bug)");
  #else
      emacs_abort ();
  #endif

I immediately thought about this:

  http://lists.gnu.org/archive/html/emacs-devel/2012-12/msg00079.html

but Andreas fixed that in revision 111096, which was committed before
111150, used to produce Drew's binary.

So I have no idea what could have caused that, and without Lisp-level
stack it's hard to tell anything about the possible villains.  The
only noteworthy thing I see is this:

  run_window_configuration_change_hook at C:\emacs\trunk\src/window.c:3105
  Fset_window_configuration at C:\emacs\trunk\src/window.c:5867

Drew, any chance of you showing the code that was run by this hook?